# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'githabit/version'

Gem::Specification.new do |spec|
  spec.name          = "githabit"
  spec.version       = Githabit::VERSION
  spec.authors       = ["Morgan Kesler"]
  spec.email         = ["keslerm@dasbiersec.com"]

  spec.summary       = "Automatically awards for tasks in Habitica based on github events."
  spec.description   = "Gamify your github work on Habitica. This gem will automatically award those tasks for these events."
  spec.homepage      = "https://github.com/keslerm/githabit"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.8"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_dependency "rest-client", "~> 1.8"
  spec.add_dependency "github_api", "~> 0.12.3"
  spec.add_dependency "habitrpg_api", "~> 0.0.1"
end
